Bug 734804 - Review Request: perl-IPTables-libiptc - Perl extension for iptables libiptc
Summary: Review Request: perl-IPTables-libiptc - Perl extension for iptables libiptc
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-31 14:14 UTC by Petr Pisar
Modified: 2011-09-13 12:19 UTC (History)
3 users (show)

Fixed In Version: perl-IPTables-libiptc-0.51-1.fcf17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-13 12:19:11 UTC
psabata: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Petr Pisar 2011-08-31 14:14:59 UTC
Spec URL: http://ppisar.fedorapeople.org/perl-IPTables-libiptc/perl-IPTables-libiptc.spec
SRPM URL: http://ppisar.fedorapeople.org/perl-IPTables-libiptc/perl-IPTables-libiptc-0.51-1.fc15.src.rpm
Description:
This package provides a perl interface to the netfilter/iptables C-code and
library libiptc.


I added patch to work with libiptc library from iptables-1.4.12 (IPv4 only, IPv6 needs more effort by upstream), though it should compile against older version too.

Comment 1 Petr Šabata 2011-09-12 15:00:02 UTC
Package: perl-IPTables-libiptc
Version: 0.51
Release: 1.fc15
Sources: IPTables-libiptc-0.51.tar.gz
Patches: perl-IPTables-libiptc-0.51-Support-iptables-1.4.12.patch
----------
Package successfully built locally.
Package successfully built in mock, fedora-rawhide-x86_64.
Package successfully built in mock, fedora-rawhide-i386.
Package successfully built in koji, dist-rawhide.

MUST items:
[  OK  ] Package does NOT include pre-built binaries or libraries
[  OK  ] Spec file is legible and written in American english
[  OK  ] Package successfully builds on at least one supported primary architecture
[  --  ] All ExcludeArch tags valid, referencing proper bug reports
[  OK  ] Package obeys FHS (with _libexecdir and /srv exceptions)
[  OK  ] No errors reported by rpmlint
[  OK  ] Changelog present and properly formatted
[  OK  ] Package does NOT include Packager, Vendor, Copyright or PreReq tags
[  OK  ] Source tags are working URLs and sources match upstream or justified otherwise
[ FAIL ] Requires correct or justified otherwise
[  OK  ] BuildRequires correct or justified otherwise
[  OK  ] All file names are in proper UTF-8 encoding
[  OK  ] All plain text failes are in proper UTF-8 encoding
[  --  ] Large documentation files are located in doc subpackage
[  OK  ] All documentation prefixed with %doc
[  OK  ] Documentation is NOT executable
[  OK  ] No files in %doc are needed at run-time
[  OK  ] Compiler flags honor Fedora defaults or are justified
[  OK  ] Package generates useful debuginfo packages
[  --  ] Header files are placed in devel subpackage
[  --  ] Unversioned shared libraries are placed in devel subpackage
[  --  ] Pkgconfig files are placed in devel subpackage
[  --  ] Full-versioned Requires of the base package in subpackages
[  --  ] Package calls ldconfig in post and postun sections for all subpackages, if applicable
[  --  ] Static libraries are provided by static subpackage
[  OK  ] Package contains no static executables unless approved by FESCo
[  OK  ] Package does NOT bundle any system libraries
[  OK  ] RPath not used for anything besides internal libraries
[  --  ] All config files are marked noreplace or justified otherwise
[  OK  ] No config files are located under /usr
[  --  ] Package contains working systemd unit files and requires systemd-units
[  --  ] All systemd unit files are named according to the Guidelines
[  --  ] Package contains a SystemV-compatible initscript only as an optional addition to systemd unit files
[  --  ] If package contains an initscript, it's placed in sysvinit subpackage
[  --  ] A GUI application installs a proper desktop file
[  --  ] All desktop files are installed by desktop-file-install or justified otherwise
[  OK  ] Package consistently uses macros
[  --  ] makeinstall macro is used only if make install DESTDIR=%{buildroot} does NOT work
[  --  ] Macros in Summary and description are expandable at build-time
[  --  ] globals used in place of defines
[  --  ] Locales handled correctly -- package requires gettext and uses find_lang, if applicable
[  --  ] Scriptlets are sane
[  OK  ] Package is not relocatable unless justified
[  OK  ] Package contains only acceptable code or content
[  OK  ] Package owns all the files and directories it creates, installs and/or uses unless those are already owned by another package
[  OK  ] files sections do NOT contain duplicate files except for licenses
[  OK  ] Package does NOT cause any conflicts
[  OK  ] Package does NOT contain kernel modules
[  OK  ] Package does NOT bundle fonts or other general purpose data
[ FAIL ] Final Requires and Provides are sane

SHOULD items:
[  OK  ] The Summary does NOT end with a period
[  OK  ] Package does NOT include BuildRoot tag, clean section or buildroot removal in install section
[  OK  ] Package should preserve files timestamps
[  OK  ] Package does NOT explicitly BuildRequire bash, bzip2, coreutils, cpio, diffutils, fedora-release, findutils, gawk, gcc, gcc-c++, grep, gzip, info, make, patch, redhat-rpm-config, rpm-build, sed, shadow-utils, tar, unzip, util-linux-ng, which or xz
[  OK  ] Description does NOT consist of lines longer than 80 characters
[  OK  ] Package uses parallel make
[  --  ] In case of a web application, package installs date into /usr/share instead of /var/www
[  OK  ] All patches have a comment or an upstream bug link
[  --  ] Package installs manpages for all executables
[  OK  ] Package contains check section and all tests pass
[  ??  ] Package works as expected

NOTES:
------
1. I see no reason to explicitly specify AutoLoader, DynaLoader and Exporter as runtime requirements.  Those are detected automatically and cause duplicates in the package dep list.  Please, remove those.

Comment 2 Petr Pisar 2011-09-13 07:18:35 UTC
I forgot to remove those three explicit requires. Fixed packages is available on the same URLs now.

Comment 3 Petr Šabata 2011-09-13 07:51:16 UTC
--- perl-IPTables-libiptc.spec  2011-08-31 15:03:34.000000000 +0200
+++ perl-IPTables-libiptc.spec.2        2011-09-13 09:16:32.000000000 +0200
@@ -17,9 +17,6 @@
 BuildRequires:  perl(Exporter)
 BuildRequires:  perl(Test::More)
 Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
-Requires:       perl(AutoLoader)
-Requires:       perl(DynaLoader)
-Requires:       perl(Exporter)
 
 %{?perl_default_filter}
 
Approving.

Comment 4 Petr Pisar 2011-09-13 08:00:53 UTC
New Package SCM Request
=======================
Package Name: perl-IPTables-libiptc 
Short Description: Perl extension for iptables libiptc
Owners: ppisar mmaslano psabata
Branches: 
InitialCC: perl-sig

Comment 5 Gwyn Ciesla 2011-09-13 11:55:45 UTC
Git done (by process-git-requests).

Comment 6 Petr Pisar 2011-09-13 12:19:11 UTC
Thank you for the review and the repository.


Note You need to log in before you can comment on or make changes to this bug.